aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/dist.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/dist.sh b/scripts/dist.sh
new file mode 100755
index 0000000..c1a46bf
--- /dev/null
+++ b/scripts/dist.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [[ ! -d .svn ]] ; then
+ echo "Not in svn repo!"
+ exit 1
+fi
+
+set -e
+
+rm -f sandbox-*.tar.bz2
+svn update
+./autogen.sh
+./configure
+make dist
+scp sandbox-*.tar.bz2 dev.gentoo.org:~/public_html/sandbox/
+scp sandbox-*.tar.bz2 dev.gentoo.org:/space/distfiles-local/
+rm -f sandbox-*.tar.bz2
+